System Requirements

This online learning platform should work for most modern browsers on a personal computer, laptop, or mobile device, but we can not guarantee this. The recommended environment is Google's Chrome browser, on a desktop computer, and a broadband (cable or DSL) connection. This is the only platform we fully support.

Also be aware that the program is audio and video intensive and the usability may be affected by your internet speed and bandwidth. Highspeed/Broadband internet is required. We can not gurantee full functionality for dialup connections, cellular networks, or shared WiFi hotspots.

Please note: If you are unable to install Google Chrome on your device, you may not be able to complete this course. Please consider this before choosing to register or not.

The following is a list of devices and browsers that this platform should work on.

  • Mac Desktop or Laptop
    • Chrome (any version)
    • Safari (any version)
    • Firefox (3.6 and above)
    • Opera (latest version)
  • Windows Desktop, Laptop or Tablet
    • Chrome (any version)
    • Internet Explorer (versions 9, 10 and 11. note: limtited support for IE9)
    • Firefox (3.6 and above)
    • Opera (latest version)
  • iOS Devices (iPhone or iPad)
    • Chrome (any version)
    • Safari (any version. note: may exhibit unexpected behavior with audio and video)
  • Android Devices
    • Chrome (any version)
    • Firefox (3.6 and above)